Skip to main content
GET
/
v0
/
external-accounts
/
{external_account_id}
Get external account
curl --request GET \
  --url https://api.getlemma.com/v0/external-accounts/{external_account_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "external_account_Bx5nTm8hKw3pVd7c",
  "entity_id": "entity_k7mXp2vR9nTfBw4s",
  "created_at": "2026-03-20T18:45:00Z",
  "nickname": "Quest Diagnostics Operating Account",
  "routing_number": "021000021",
  "account_number": "123456789",
  "status": "active"
}
Returns the full details of an external account, including account and routing numbers. This endpoint returns the external account regardless of its status, so you can use it to look up archived external accounts.

Path parameters

external_account_id
string
required
The ID of the external account to retrieve, prefixed with external_account_.

Response

Returns the external account object.
id
string
Unique identifier for the external account, prefixed with external_account_.
entity_id
string
The ID of the entity that owns this external account.
nickname
string
The human-readable label for this external account.
routing_number
string
The 9-digit ABA routing number of the account holder’s bank.
account_number
string
The external account’s bank account number.
status
string
The external account’s current status. One of active or archived.
created_at
string
ISO 8601 timestamp of when the external account was created.
{
  "id": "external_account_Bx5nTm8hKw3pVd7c",
  "entity_id": "entity_k7mXp2vR9nTfBw4s",
  "created_at": "2026-03-20T18:45:00Z",
  "nickname": "Quest Diagnostics Operating Account",
  "routing_number": "021000021",
  "account_number": "123456789",
  "status": "active"
}